- [HTTP request](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.InstancesListServerCasResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/instances/listServerCas#try-it)

Lists all of the trusted Certificate Authorities (CAs) for the specified instance. There can be up to three CAs listed: the CA that was used to sign the certificate that is currently in use, a CA that has been added but not yet used to sign a certificate, and a CA used to sign a certificate that has previously rotated out.

### HTTP request

`GET https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/listServerCas`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID. This does not include the project ID. |

### Request body

The request body must be empty.

### Response body

Instances instances.listServerCas response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "certs": [ { object (`https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/sslCerts#SslCert`) } ], "activeVersion": string, "kind": string } ``` |

| Fields ||
|---|---|
| `certs[]` | ``object (`https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/sslCerts#SslCert`)`` instances.list of server CA certificates for the instance. |
| `activeVersion` | `string` |
| `kind` | `string` This is always `sql#instancesListServerCas`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).